using Sidra.IntegrationHub.Client.Abstractions;
using Sidra.IntegrationHub.Client.Sample.Common;

namespace Sidra.IntegrationHub.Client.Sample.EventConsumer
{
    public class EventOneHandler
        : IEventHandler<EventOne>
    {
        public async Task Handle(EventOne @event)
        {
            await Console.Out.WriteLineAsync($"{DateTime.UtcNow.ToLongTimeString()} Received Event One");
            await Console.Out.WriteLineAsync($" - Id={@event.Id}");
            await Console.Out.WriteLineAsync($" - Name={@event.Name}");
            await Console.Out.WriteLineAsync($" - CreatedOn={@event.CreatedOn.ToLongTimeString()}");
        }
    }
}
