using Sidra.IntegrationHub.Client.Abstractions;
using Sidra.IntegrationHub.Client.Sample.Common;

namespace Sidra.IntegrationHub.Client.Sample.EventConsumer
{
    public class EventThreeHandler
        : IEventHandler<EventThree>
    {
        public async Task Handle(EventThree @event)
        {
            await Console.Out.WriteLineAsync($"{DateTime.UtcNow.ToLongTimeString()} Received Event Three");
            await Console.Out.WriteLineAsync($" - Id={@event.Id}");
            await Console.Out.WriteLineAsync($" - Name={@event.Name}");
            await Console.Out.WriteLineAsync($" - CreatedOn={@event.CreatedOn.ToLongTimeString()}");
        }
    }
}
